Bug 127641 - rhn_applet.py 362: ... expect int got float
rhn_applet.py 362: ... expect int got float
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
:
: 128460 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-11 21:53 EDT by Dwaine Castle
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 16:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that fixes this bug (682 bytes, patch)
2004-07-30 18:16 EDT, Sami Teemu Pesonen
no flags Details | Diff

  None (edit)
Description Dwaine Castle 2004-07-11 21:53:03 EDT
Description of problem:
I've noticed the following error message on console 1 after running
startx:

rhn_applet.py 362: Deprecationwarning integer argument expected got float

rhn-applet-2.1.7-1.1.src.rpm


Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1.1

title Fedora Core (2.6.7-1.476)
title Fedora Core (2.6.6-1.435.2.3)
title Fedora Core (2.6.6-1.435.2.1)
title Fedora Core (2.6.6-1.435)
title Fedora Core (2.6.6-1.427)
title Fedora Core (2.6.5-1.358)




How reproducible:
It appears every time that I go into gdm.

Steps to Reproduce:
1.  boot into X
2.
3.
  
Actual results:
I have several error messages besides rhn_applet.  agpgart problems
which I am monitoring this list for a solution, and I receive several
bonobo error messages when I leave X and return to the command line.

Expected results:
I don't expect to see an error message unless I've done something wrong.

Additional info:

I've noticed an error reported by the rpm database:

S.5....T  c /etc/sysconfig/rhn/rhn-applet

I've downloaded the rpm and reinstalled it, rebuilt the rpm database,
but the error persists.

If I swap HDs and boot into RH9/XFree86 instead of FC2/Xorg I don't
see this message -- I don't see anything but a command prompt in
console 1.

I don't know if this will help, but I'll mention it.  The X
configurator in FC2 is determined to set my ATI 8500/64MB graphics
card as an 8500 LE which is wrong.  If I change the value manually the
system changes it right back.  Any window in an Xwindow session that
get overlayed is permanently obscured -- I have to minimize and
restore the window to get the information back.

Please let me know if there is anything that I left out.

Supermicro P4STA 1.7GHz 
768 MB memory
80 GB WD JB HD
ATI 8500/64 MB

Thank you.
Dwaine Castle
Comment 1 Dwaine Castle 2004-07-12 22:28:23 EDT
Today, I noticed something that might be of help.  I boot into 
runlevel 3 by setting id:3:initdefault in inittab, and then use 
startx to begin an X window gdm session.  This afternoon I noticed 
that when I executed a runlevel command in an xterm window it 
reported N 3.  I expected to see 3 5.  I left the X session, and then 
started an X window session by using init 5 instead of startx.  Now 
an xterm runlevel command returns 3 5 and my console 1 does not 
having any error messages in it.  There is one difference and
that is that the X session prompts me for a username and password.

I thought that startx was supposed to change to runlevel 5, but maybe 
I am wrong.
Comment 2 Ray Strode [halfline] 2004-07-13 09:34:01 EDT
Hi Dwaine,

The problem you are experiencing is related to the RHN "alert" applet
that shows up in your panel when you log in to inform you of updates.
 The warning you are seeing is most probably harmless, but
nevertheless, should probably be fixed.  startx doesn't bring the
system into runlevel 5, but instead just starts X in the current
runlevel.  GDM is only started in runlevel 5, so by running startx in
runlevel 3, you are bypassing GDM (which is what provides the window
that prompts for username and password).

I am reassigning this bug to the rhn-applet component.
Comment 3 Sami Teemu Pesonen 2004-07-30 18:16:40 EDT
Created attachment 102329 [details]
patch that fixes this bug

Attached please find patch which fixes this bug. Problem was wrong type
parameter in gtk.timeout_add call (was float, should be integer). math.floor
returns float number allways so used instead internal python function int(x).
Removed 'import math' from beginning because math functions are not needed
anymore. Seems to work now and no logs to console anymore.
Comment 4 Daniel Veillard 2004-07-31 07:13:53 EDT
*** Bug 128460 has been marked as a duplicate of this bug. ***
Comment 5 Dwaine Castle 2004-08-01 13:38:24 EDT
I've installed FC3t1 & encountered this error message as well as a 
few more.  I posted a message to the fedora-test-list and got what 
seems to be a response from Brian Smith in vol 5 issue 58 that seems 
to be a good explaination.  It seems that prefdm is sending these 
messages to /dev/null and not to any log, so they must not be 
important.  I suspect that they are there even when I execute init 5 
to start the GUI.

-------------------------------------------------------------
Dwaine,

Looking at your output, it seems those error messages are just 
warnings,
letting the developers know that some of the gtk/gnome systems are 
using
depricated function calls that have likely been replaced by better
ones.  This often happens during development releases while the coders
are busy building up to new libraries.  Most of the calls have to do
with GTK so I have to assume that FC3 is using a newer version of
GTK+2.  The warnings are nothing to worry about.

Runlevel 5, by itself, is of no consequence to x11.  It is, however,
most distributions' runlevel-of-choice when running a graphical login
manager, hence the /etc/X11/prefdm line at the end of inittab.

Hope this helps you

-brian
Comment 6 Matthew Miller 2005-04-26 12:03:30 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 John Thacker 2006-04-24 16:26:08 EDT
1) Those are warnings not errors, and thus not critical 
or security fixes.  See Fedora Legacy warning above.
2) rhn_applet is removed from the latest Fedora Core.
3) No response from reporter to a request for information.

Note You need to log in before you can comment on or make changes to this bug.